[PC-BSD Commits] r1017 - pbibuild/modules/nexuiz/overlay-dir

svn at pcbsd.org svn at pcbsd.org
Thu Dec 13 14:59:42 PST 2007


Author: gonzalo
Date: 2007-12-13 14:59:42 -0800 (Thu, 13 Dec 2007)
New Revision: 1017

Modified:
   pbibuild/modules/nexuiz/overlay-dir/PBI.RemoveScript.sh
Log:
RemoveScript fixed/upgraded.

Modified: pbibuild/modules/nexuiz/overlay-dir/PBI.RemoveScript.sh
===================================================================
--- pbibuild/modules/nexuiz/overlay-dir/PBI.RemoveScript.sh	2007-12-13 22:58:03 UTC (rev 1016)
+++ pbibuild/modules/nexuiz/overlay-dir/PBI.RemoveScript.sh	2007-12-13 22:59:42 UTC (rev 1017)
@@ -10,15 +10,20 @@
 rm -fR /usr/local/bin/nexuiz-dedicated
 rm -fR /usr/local/bin/nexuiz-glx
 rm -fR /usr/local/bin/nexuiz-sdl
-cd /home 
- for i in `ls` 
- do 
-   if [ -d "/home/${i}/.nexuiz" ] 
-   then 
-     kdialog --title "Uninstalling Nexuiz!" --yesno "Do you wish to erase nexuiz's saved games and configuration files for ${i} user as well?"
-     if [ "$?" = "0" ] 
-     then 
-       rm -fR /home/${i}/.nexuiz
-     fi 
-   fi 
- done 
\ No newline at end of file
+
+if [ ! -z "$DISPLAY" ]
+then
+ # Ask if we want to remove the user profiles
+ kdialog --yesno "Do you want to remove Nexuiz user settings?" --title "Remove user settings"
+ if [ "$?" = "0" ]
+ then
+  cd /home
+  for i in `ls`
+  do
+   if [ -e "/home/${i}/.nexuiz" ]
+   then
+    rm -rf /home/${i}/.nexuiz
+   fi
+  done
+ fi
+fi



More information about the Commits mailing list